## GtkPlotArray GtkPlotArray |

## Synopsis

    #include <gtkextra.h>

                        GtkPlotArray;
                        GtkPlotArrayList;
    GObject*            gtk_plot_array_new                  (const gchar *name,
                                                             gpointer array,
                                                             gint size,
                                                             GType type,
                                                             gboolean own_data);
    void                gtk_plot_array_set                  (GtkPlotArray *array,
                                                             gpointer data_array,
                                                             gint size,
                                                             GType type);
    void                gtk_plot_array_set_label            (GtkPlotArray *array,
                                                             const gchar *label);
    void                gtk_plot_array_set_description      (GtkPlotArray *array,
                                                             const gchar *desc);
    void                gtk_plot_array_set_scale            (GtkPlotArray *array,
                                                             gdouble scale);
    void                gtk_plot_array_set_required         (GtkPlotArray *array,
                                                             gboolean required);
    void                gtk_plot_array_set_independent      (GtkPlotArray *array,
                                                             gboolean independent);
    GType               gtk_plot_array_get_data_type        (GtkPlotArray *array);
    const gchar *       gtk_plot_array_get_name             (GtkPlotArray *array);
    const gchar *       gtk_plot_array_get_label            (GtkPlotArray *array);
    const gchar *       gtk_plot_array_get_description      (GtkPlotArray *array);
    gboolean            gtk_plot_array_required             (GtkPlotArray *array);
    gboolean            gtk_plot_array_independent          (GtkPlotArray *array);
    gdouble             gtk_plot_array_get_scale            (GtkPlotArray *array);
    gint                gtk_plot_array_get_size             (GtkPlotArray *array);
    gfloat*             gtk_plot_array_get_float            (GtkPlotArray *array);
    gdouble*            gtk_plot_array_get_double           (GtkPlotArray *array);
    gint*               gtk_plot_array_get_int              (GtkPlotArray *array);
    gboolean*           gtk_plot_array_get_bool             (GtkPlotArray *array);
    gchar**             gtk_plot_array_get_string           (GtkPlotArray *array);
    gpointer*           gtk_plot_array_get_pointer          (GtkPlotArray *array);
    void                gtk_plot_array_free                 (GtkPlotArray *array);
    GObject*            gtk_plot_array_list_new             (void);
    void                gtk_plot_array_list_add             (GtkPlotArrayList *set,
                                                             GtkPlotArray *array);
    void                gtk_plot_array_list_remove          (GtkPlotArrayList *set,
                                                             GtkPlotArray *array);
    GtkPlotArray*       gtk_plot_array_list_get             (GtkPlotArrayList *set,
                                                             const gchar *name);
    void                gtk_plot_array_list_clear           (GtkPlotArrayList *set);

## Object Hierarchy

      GObject
       +----GtkPlotArray

## Properties

      "array-data"               gpointer              : Read / Write
      "description"              gchar*                : Read / Write
      "independent"              gboolean              : Read / Write
      "label"                    gchar*                : Read / Write
      "name"                     gchar*                : Read / Write
      "own-data"                 gboolean              : Read / Write
      "required"                 gboolean              : Read / Write
      "scale"                    gdouble               : Read / Write
      "size"                     gint                  : Read / Write
      "type"                     gint                  : Read / Write

## Description

## Details

### GtkPlotArray

    typedef struct _GtkPlotArray GtkPlotArray;

The GtkPlotArray struct contains only private data. It should only be accessed through the functions described below.

### GtkPlotArrayList

    typedef struct {
    } GtkPlotArrayList;

The GtkPlotArrayList struct contains only private data. It should only be accessed through the functions described below.

### gtk_plot_array_new ()

    GObject*            gtk_plot_array_new                  (const gchar *name,
                                                             gpointer array,
                                                             gint size,
                                                             GType type,
                                                             gboolean own_data);

`name` : |
`array` : |
`size` : |
`type` : |
`own_data` : |
Returns : |

### gtk_plot_array_set ()

    void                gtk_plot_array_set                  (GtkPlotArray *array,
                                                             gpointer data_array,
                                                             gint size,
                                                             GType type);

`array` : |
`data_array` : |
`size` : |
`type` : |

### gtk_plot_array_set_label ()

    void                gtk_plot_array_set_label            (GtkPlotArray *array,
                                                             const gchar *label);

`array` : |
`label` : |

### gtk_plot_array_set_description ()

    void                gtk_plot_array_set_description      (GtkPlotArray *array,
                                                             const gchar *desc);

`array` : |
`desc` : |

### gtk_plot_array_set_scale ()

    void                gtk_plot_array_set_scale            (GtkPlotArray *array,
                                                             gdouble scale);

`array` : |
`scale` : |

### gtk_plot_array_set_required ()

    void                gtk_plot_array_set_required         (GtkPlotArray *array,
                                                             gboolean required);

`array` : |
`required` : |

### gtk_plot_array_set_independent ()

    void                gtk_plot_array_set_independent      (GtkPlotArray *array,
                                                             gboolean independent);

`array` : |
`independent` : |

### gtk_plot_array_get_data_type ()

    GType               gtk_plot_array_get_data_type        (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_get_name ()

    const gchar *       gtk_plot_array_get_name             (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_get_label ()

    const gchar *       gtk_plot_array_get_label            (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_get_description ()

    const gchar *       gtk_plot_array_get_description      (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_required ()

    gboolean            gtk_plot_array_required             (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_independent ()

    gboolean            gtk_plot_array_independent          (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_get_scale ()

    gdouble             gtk_plot_array_get_scale            (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_get_size ()

    gint                gtk_plot_array_get_size             (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_get_float ()

    gfloat*             gtk_plot_array_get_float            (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_get_double ()

    gdouble*            gtk_plot_array_get_double           (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_get_int ()

    gint*               gtk_plot_array_get_int              (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_get_bool ()

    gboolean*           gtk_plot_array_get_bool             (GtkPlotArray *array);

`array` : |
Returns : |

### gtk_plot_array_get_string ()

    gchar**             gtk_plot_array_get_string           (GtkPlotArray *array);

`array` : | the GtkPlotArray
Returns : | (transfer none) the data string array

### gtk_plot_array_get_pointer ()

    gpointer*           gtk_plot_array_get_pointer          (GtkPlotArray *array);

`array` : | the GtkPlotArray
Returns : | (transfer none) the data pointer array

### gtk_plot_array_free ()

    void                gtk_plot_array_free                 (GtkPlotArray *array);

`array` : |

### gtk_plot_array_list_new ()

    GObject*            gtk_plot_array_list_new             (void);

Returns : |

### gtk_plot_array_list_add ()

    void                gtk_plot_array_list_add             (GtkPlotArrayList *set,
                                                             GtkPlotArray *array);

`set` : |
`array` : |

### gtk_plot_array_list_remove ()

    void                gtk_plot_array_list_remove          (GtkPlotArrayList *set,
                                                             GtkPlotArray *array);

`set` : |
`array` : |

### gtk_plot_array_list_get ()

    GtkPlotArray*       gtk_plot_array_list_get             (GtkPlotArrayList *set,
                                                             const gchar *name);

`set` : | a GtkPlotArrayList
`name` : | the name to be searched for
Returns : | (transfer none) the named GtkPlotArray or NULL

### gtk_plot_array_list_clear ()

    void                gtk_plot_array_list_clear           (GtkPlotArrayList *set);

`set` : |

## Property Details

### The `"array-data"` property

      "array-data"               gpointer              : Read / Write

Data.

### The `"description"` property

      "description"              gchar*                : Read / Write

Description.

Default value: NULL

### The `"independent"` property

      "independent"              gboolean              : Read / Write

Independent.

Default value: FALSE

### The `"label"` property

      "label"                    gchar*                : Read / Write

Label.

Default value: NULL

### The `"name"` property

      "name"                     gchar*                : Read / Write

Name.

Default value: NULL

### The `"own-data"` property

      "own-data"                 gboolean              : Read / Write

Specifies if data should be freed when the array is destroyed.

Default value: FALSE

### The `"required"` property

      "required"                 gboolean              : Read / Write

Required.

Default value: FALSE

### The `"scale"` property

      "scale"                    gdouble               : Read / Write

Scale.

Allowed values: >= 0

Default value: 1

### The `"size"` property

      "size"                     gint                  : Read / Write

Size.

Allowed values: >= 0

Default value: 0

### The `"type"` property

      "type"                     gint                  : Read / Write

Type.

Allowed values: >= 0

Default value: 0